Large report messages won't fit in PostgreSQL's index_messages_on_value

01/15/2013 09:03 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Database   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When converting a SQLite database to PostgreSQL, I was unable to import messages from my reports:

PG::Error: ERROR:  index row size 3352 exceeds maximum 2712 for index "index_messages_on_value" 

HINT:  Values larger than 1/3 of a buffer page cannot be indexed.

Consider a function index of an MD5 hash of the value, or use full text indexing.

 The message contained large file diffs.

Associated revisions

Revision be21218d - 01/24/2013 05:49 AM - Amos Benari

fixes #2126 Large report messages won't fit in PostgreSQL's index_messages_on_value

History

#1 - 01/21/2013 06:43 AM - Ohad Levy

- Assignee changed from Ohad Levy to Amos Benari

#2 - 01/23/2013 07:17 AM - Ohad Levy

- Target version set to 1.1

#3 - 01/24/2013 08:12 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset be21218d8a8bd6724f877536c4878fdb1244aae4.
